<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
SetStatusMessage Method (IEdmCallback6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmCallback6 Interface : SetStatusMessage Method (IEdmCallback6)

Visual Basic
C#
C++/CLI

lBarIndex
  0-based index of the progress bar

bsMessage
  Message to display

Displays a message to the user.

# Syntax

Visual Basic |
--- | ---

    Sub SetStatusMessage( _
       ByVal lBarIndex As System.Integer, _
       ByVal bsMessage As System.String _
    )

C# |
--- | ---

    void SetStatusMessage(
       System.int lBarIndex,
       System.string bsMessage
    )

C++/CLI |
--- | ---

    void SetStatusMessage(
    &   System.int lBarIndex,
    &   System.String^ bsMessage
    )

#### Parameters

lBarIndex
  0-based index of the progress bar
bsMessage
  Message to display

# Example

See the IEdmCallback6 examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- <any error code>: The calling method terminated.

# See Also

####

IEdmCallback6 Interface
IEdmCallback6 Members

# Availability

SOLIDWORKS PDM Professional Version 6.0